org.eclipse.emf.cdo.view

## Interface CDOViewProvider

- All Known Subinterfaces:
    CDOViewProvider.CDOViewProvider2
  All Known Implementing Classes:
    AbstractCDOViewProvider, CDONet4jViewProvider, CDONet4jViewProvider.JVM, CDONet4jViewProvider.SSL, CDONet4jViewProvider.TCP, ManagedContainerViewProvider

      public interface CDOViewProvider

  Capable of opening a `CDOView` on a target repository, defined by a URI. A regular expression and the priority are used to determine the most suitable provider.
  Since:
    2.0
  Author:
    Victor Roldan Betancort

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CDOViewProvider.CDOViewProvider2`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPriority()` Returns the priority of this provider.
    `java.lang.String` | `getRegex()` Returns the regular expression that determines if the provider can handle certain URI
    `URI` | `getResourceURI(CDOView view, java.lang.String path)`
    `CDOView` | `getView(URI uri, ResourceSet resourceSet)` Receives a URI and returns an opened `CDOView` against the repository.
    `boolean` | `matchesRegex(URI uri)` Checks if the URI matches with the regular expression of this provider

- - ### Field Detail

    - #### DEFAULT_PRIORITY

          static final int DEFAULT_PRIORITY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPriority

          int getPriority()

      Returns the priority of this provider. Usually used to choose between several `CDOViewProvider` that match the same repository URI.

    - #### getRegex

          java.lang.String getRegex()

      Returns the regular expression that determines if the provider can handle certain URI

    - #### matchesRegex

          boolean matchesRegex(URI uri)

      Checks if the URI matches with the regular expression of this provider

    - #### getView

          CDOView getView(URI uri,
                          ResourceSet resourceSet)

      Receives a URI and returns an opened `CDOView` against the repository. The implementer is responsible to do the UUID to physical host map in case necessary.
      Returns:
        a wired-up and opened `CDOView`

    - #### getResourceURI

          URI getResourceURI(CDOView view,
                             java.lang.String path)

      Since:
        4.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html